Bug 202555

Summary: NFSD: setclientid: string in use by client
Product: [Fedora] Fedora Reporter: William H. Haller <bill>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED RAWHIDE QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 5CC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-01 06:52:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description William H. Haller 2006-08-14 22:56:48 EDT
Description of problem: Automounted NFS home directories have problems. Leads 
to difficulties in logging back in as a different user. Not sure if this is 
NFS or automount or kernel issue.


Version-Release number of selected component (if applicable):
Kernel is 2.6.17-1.2174_FC5 on server
Kernel is 2.6.17-1.2174_FC5smp on the client
nfs-utils-1.0.8-2.fc5.i386.rpm
nfs-utils-lib-1.0.8-4.FC5.i386.rpm




How reproducible: Has repeated through several reboots of the client machine. 
Works for a while and then fails. May be issues with multiple clients 
accessing machine from different systems. All hostnames are correct in 
localhost. Restarting NFS on the server fixes the problem for a short time.


Steps to Reproduce:
1. Log off client X server
2. You may or may not be able to log back on as someone else
3.
  
Actual results: Logging off X locks up logins on client machine. Console 
logins that don't involve NFS are still fine.


Expected results: You should be able to log off of the system without issues, 
even with an automounted directory.


Additional info: server ifconfig shows one overrun, but no idea when. client 
ifconfig shows 39 overruns. Both are out of several hundred thousand packets. 
Neither have any other errors listed in the ifconfig. Likewise, there are no 
other error messages near the time of these NFS errors in the log.

automount config
*  -fstype=nfs4,rw,rsize=32768,wsize=32768,intr,soft,proto=tcp,port=2049
/home   /etc/auto.home --timeout=15
Comment 1 Steve Dickson 2006-08-19 08:32:53 EDT
Would it be possible to get a system back trace by
type SysRq-t on the console? (Note you have to turn on
kernel.sysrq=1 in /etc/sysctl.conf to enable the these
keys to work) 
Comment 2 William H. Haller 2006-08-19 12:16:34 EDT
sysctl.conf change is made. I'll have to wait for the next lockup before I can 
get you the back trace.
Comment 3 Bug Zapper 2008-04-03 23:32:09 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Steve Dickson 2008-05-01 06:52:36 EDT
Please reopen this bug if the problem happens in a more recent release